// Copyright (C) 2002 Takeshi Morimoto <morimoto@takopen.cs.uec.ac.jp>
// All rights reserved.

/**
 * CopyRight (C) 2005 Bam Rescue Simulation Team.All rights resserved.
 *
 * Hamid Mohammadi <hmohammadi110@gmail.com>
 * Hamed Shahbazi  <demahopilot@yahoo.com>
 * Behrooz Shahgholi <shahgholi@eng.ui.ac.ir>
 *
 */

package yab.agent.object;

import yab.agent.DisasterSpace;
import yab.io.object.*;

public class FireBrigade extends Humanoid {
    public FireBrigade(int id, DisasterSpace world) {
        super(id, new BaseFireBrigade(id), world);
    }

    private BaseFireBrigade obj() {
        return (BaseFireBrigade) object;
    }

    public int waterQuantity() {
        return obj().waterQuantity();
    }
}
