// Copyright (C) 2002 Takeshi Morimoto <morimoto@takopen.cs.uec.ac.jp>
// All rights reserved.
package yab.agent.object;

import yab.agent.DisasterSpace;
import yab.io.object.*;

public abstract class Humanoid extends MovingObject {
    public Humanoid(int id, BaseHumanoid object, DisasterSpace world)
    { super(id, object, world); }
    private BaseHumanoid obj() { return (BaseHumanoid) object; }
    public int  priority()
    {
       if (!(obj() instanceof BaseCivilian))
           return 0;
        if(hp()!=0)
           return (int) 10000*damage()/hp();
       return 0;
    }
    public int hp() { return obj().hp(); }
    public int damage() { return obj().damage(); }
    public int buriedness() { return obj().buriedness(); }
}
