/**
 * CopyRight (C) 2005 Bam Rescue Simulation Team.All rights resserved.
 *
 * Hamid Mohammadi <hmohammadi110@gmail.com>
 * Hamed Shahbazi  <demahopilot@yahoo.com>
 * Behrooz Shahgholi <shahgholi@eng.ui.ac.ir>
 *
 */
package bam;

import yab.agent.object.*;

public class recordHuman {
    public MotionlessObject mlpos;
    public int hp;
    public int buridness;
    public int damage;
    public int time;
    public int id;
    public Humanoid self;
    private boolean selected = false;
    public boolean loaded = false;


    public recordHuman() {
    }

    public void get(Humanoid selfHuman, int WorldTime) {
        if (selfHuman == null) {
            return;
        }
        this.self = selfHuman;
        this.mlpos = selfHuman.motionlessPosition();
        this.buridness = selfHuman.buriedness();
        this.damage = selfHuman.damage();
        this.hp = selfHuman.damage();
        this.time = WorldTime;
    }

    public MotionlessObject mlpos() {
        return mlpos;
    }

    public void unloading() {
        loaded = false;
    }

    public void loading() {
        loaded = true;
    }

    public void setId(int ID) {
        this.id = ID;
    }

    public int getId() {
        return this.id;
    }

    public String toString() {
        String str = "recordHuman (ID= " + this.id + ",HP=" + this.hp +
                     ", Damage=" + this.damage + ", Time=" + this.time +
                     ", selected=" + this.selected + ", Self=" + this.self +
                     ")";
        return str;
    }

    public void setSelected() {
        selected = true;
    }

    public void clearSelected() {
        selected = false;
    }

    public boolean isSelected() {
        return selected;
    }

    public int priority2(int worldTime, int numAmbulance) {
        double hp2 = this.hp,
                     damage2 = this.damage, bur2 = this.buridness;
        for (int time = worldTime; time < 300; time++) {
            hp2 = hp2 - damage2;
            damage2 = damage2 + 2.03 / bur2;

        }
        int result = (int) (hp * 10000 + 10000);
        return result;
    }

    public int priority(int worldTime, int numAmbulance) {
        int priority = 100;
        int hpDetector, damageDetector, burDetector;

        int buridness =
                /*(numAmbulance>1) ? this.buridness/(numAmbulance-1): */this.
                buridness;
        int hp = this.hp - this.damage * (worldTime - time) -
                 this.damage * buridness;

        //hp
        if (hp >= 7000) {
            hpDetector = 1;
        } else if (hp >= 4000) {
            hpDetector = 2;
        } else if (hp >= 2000) {
            hpDetector = 3;
        } else if (hp >= 300) {
            hpDetector = 4;
        } else {
            hpDetector = 5;
        }
        //damage

        if (damage <= 16) {
            damageDetector = 1;
        } else if (damage <= 70) {
            damageDetector = 2;
        } else if (damage <= 140) {
            damageDetector = 3;
        } else {
            damageDetector = 4;
        }

        //buridness

        if (buridness <= 8) {
            burDetector = 1;
        } else if (buridness <= 10) {
            burDetector = 2;
        } else if (buridness <= 15) {
            burDetector = 3;
        } else {
            burDetector = 4;
        }
        //selection
        int detector = hpDetector * 100 + damageDetector * 10 + burDetector;
        switch (detector) {
        case 541:
            priority = 1;
            break;
        case 531:
            priority = 2;
            break;
        case 441:
            priority = 3;
            break;
        case 442:
            priority = 4;
            break;
        case 431:
            priority = 5;
            break;
        case 343:
            priority = 6;
            break;
        case 341:
            priority = 7;
            break;
        case 433:
            priority = 8;
            break;
        case 342:
            priority = 9;
            break;
        case 432:
            priority = 10;
            break;
        case 421:
            priority = 11;
            break;
        case 331:
            priority = 12;
            break;
        case 411:
            priority = 13;
            break;
        case 241:
            priority = 14;
            break;
        case 344:
            priority = 15;
            break;
        case 424:
            priority = 16;
            break;
        case 423:
            priority = 17;
            break;
        case 422:
            priority = 18;
            break;
        case 231:
            priority = 19;
            break;
        case 332:
            priority = 20;
            break;
        case 334:
            priority = 21;
            break;
        case 412:
            priority = 22;
            break;
        case 242:
            priority = 23;
            break;
        case 414:
            priority = 24;
            break;
        case 413:
            priority = 25;
            break;
        case 321:
            priority = 26;
            break;
        case 141:
            priority = 27;
            break;
        case 311:
            priority = 28;
            break;
        case 221:
            priority = 29;
            break;
        case 444:
            priority = 30;
            break;
        case 232:
            priority = 31;
            break;
        case 243:
            priority = 32;
            break;
        case 322:
            priority = 33;
            break;
        case 323:
            priority = 34;
            break;
        case 312:
            priority = 35;
            break;
        case 142:
            priority = 36;
            break;
        case 532:
            priority = 37;
            break;
        case 131:
            priority = 38;
            break;
        case 313:
            priority = 39;
            break;
        case 233:
            priority = 40;
            break;
        case 244:
            priority = 41;
            break;
        case 132:
            priority = 42;
            break;
        case 223:
            priority = 43;
            break;
        case 234:
            priority = 44;
            break;
        case 143:
            priority = 45;
            break;
        case 324:
            priority = 46;
            break;
        case 211:
            priority = 47;
            break;
        case 314:
            priority = 48;
            break;
        case 133:
            priority = 49;
            break;
        case 212:
            priority = 50;
            break;
        case 121:
            priority = 51;
            break;
        case 144:
            priority = 52;
            break;
        case 213:
            priority = 53;
            break;
        case 122:
            priority = 54;
            break;
        case 224:
            priority = 55;
            break;
        case 134:
            priority = 56;
            break;
        case 123:
            priority = 57;
            break;
        case 214:
            priority = 58;
            break;
        case 124:
            priority = 59;
            break;
        case 111:
            priority = 60;
            break;

        case 112:
            priority = 60;
            break;
        case 113:
            priority = 60;
            break;
        case 114:
            priority = 60;
            break;
        case 533:
            priority = 61;
            break;
        case 534:
            priority = 62;
            break;
        case 542:
            priority = 63;
            break;
        case 543:
            priority = 63;
            break;
        case 544:
            priority = 63;
            break;
        default:
            priority = 64;
        }

        return priority;
    }


}
