// Copyright (C) 2002 Takeshi Morimoto <morimoto@takopen.cs.uec.ac.jp>
// All rights reserved.

/**
 * CopyRight (C) 2005 Bam Rescue Simulation Team.All rights resserved.
 *
 * Hamid Mohammadi <hmohammadi110@gmail.com>
 * Hamed Shahbazi  <demahopilot@yahoo.com>
 * Behrooz Shahgholi <shahgholi@eng.ui.ac.ir>
 *
 */

package yab.agent.object;

import java.util.*;
import yab.agent.DisasterSpace;
import yab.io.object.*;

public abstract class MotionlessObject extends RealObject {
    public MotionlessObject(int id, BaseMotionlessObject object,
                            DisasterSpace world) {
        super(id, object, world);
    }

    public MotionlessObject motionlessPosition() {
        return this;
    }

    public abstract Collection neighborhood();
}
