// Copyright (C) 2002 Takeshi Morimoto <morimoto@takopen.cs.uec.ac.jp>
// All rights reserved.

/**
 * CopyRight (C) 2005 Bam Rescue Simulation Team.All rights resserved.
 *
 * Hamid Mohammadi <hmohammadi110@gmail.com>
 * Hamed Shahbazi  <demahopilot@yahoo.com>
 * Behrooz Shahgholi <shahgholi@eng.ui.ac.ir>
 *
 */

package yab.io;

import java.io.*;

public class KaSense {
    public final int selfId;
    public final int time;
    public final ObjectElement[] selfAndMap;
    public KaSense(DataInputStream dis) throws IOException {
        selfId = dis.readInt();
        time = dis.readInt();
        selfAndMap = RCRSSProtocol.readObjectsElement(dis);
    }
}
